Show / Hide Table of Contents

# Class GameNetworkAddressResolver

The address resolver for the GameNetwork class.

##### Inheritance

System.Object
BaseAddressResolver
GameNetworkAddressResolver

##### Inherited Members

BaseAddressResolver.DebugScannedValues
BaseAddressResolver.IsResolved
BaseAddressResolver.Setup()
BaseAddressResolver.Setup(SigScanner)
BaseAddressResolver.GetVirtualFunction<T>(IntPtr, Int32, Int32)
BaseAddressResolver.Setup32Bit(SigScanner)
BaseAddressResolver.SetupInternal(SigScanner)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Network

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class GameNetworkAddressResolver : BaseAddressResolver

### Properties

| Improve this Doc View Source

#### ProcessZonePacketDown

Gets the address of the ProcessZonePacketDown method.

##### Declaration

    public IntPtr ProcessZonePacketDown { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ProcessZonePacketUp

Gets the address of the ProcessZonePacketUp method.

##### Declaration

    public IntPtr ProcessZonePacketUp { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Setup64Bit(SigScanner)

Setup the resolver by finding any necessary memory addresses.

##### Declaration

    protected override void Setup64Bit(SigScanner sig)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | sig |

##### Overrides

BaseAddressResolver.Setup64Bit(SigScanner)